# Get row

Gets the sheet row specified by the sheet and row IDs.

Endpoint: GET /sheets/{sheetId}/rows/{rowId}
Version: 2.0.0
Security: APIToken, OAuth2

## Path parameters:

  - `sheetId` (number, required)
    ID of the sheet being accessed.

  - `rowId` (number, required)
    ID of the sheet row being accessed.

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Query parameters:

  - `accessApiLevel` (number)
    Allows COMMENTER access for inputs and return values. For backwards-compatibility, VIEWER is the default. For example, to see whether a user has COMMENTER access for a sheet, use accessApiLevel=1.

  - `include` (string)
    A comma-separated list of elements to include in the response as part of the row.

Include Flag | Description |
-------------|-------|
attachments | Includes row attachments array.To include discussion attachments, both attachments and discussions must be present in the include list.
columns | Includes the row columns as an array.
columnType | Includes columnType attribute in the row's cells indicating the type of the column the cell resides in.
discussions | Includes row discussions array.To include discussion attachments, both attachments and discussions must be present in the include list.
filters | Includes filteredOut attribute indicating if the row should be displayed or hidden according to the sheet's filters.
format | Includes format attribute on the row, its cells, or summary fields.  See Cell formatting.
objectValue | Includes objectValue attribute on cells containing values. For more information see Cell Reference.
proofs | Includes row proof object containing proof information associated with the row. For more information see Proof.
rowPermalink | Includes permalink attribute that represents a direct link to the row in the Smartsheet application.
writerInfo | Includes createdBy and modifiedBy attributes on the row or summary fields, indicating the row or summary field's creator, and last modifier.
    Enum: "attachments", "columns", "columnType", "discussions", "filters", "format", "objectValue", "proofs", "rowPermalink", "writerInfo"

  - `exclude` (string)
    A comma-separated list of element types to exclude from the response:
  * filteredOutRows - excludes filtered-out rows from response payload if a sheet filter is applied; includes total number of filtered rows
  * linkInFromCellDetails - excludes the following attributes from the cell.linkInFromCell object: columnId, rowId, status
  * linksOutToCellsDetails - excludes the following attributes from the cell.linksOutToCells array elements: columnId, rowId, status
  * nonexistentCells - excludes empty cells
    Enum: "filteredOutRows", "linkInFromCellDetails", "linksOutToCellsDetails", "nonexistentCells"

  - `level` (integer)
    Specifies whether object data types, such as multi-contact data are returned in a backwards-compatible, text format in text/number columns.

- Set level=0 (default) to use text/number columns for multi-contact data and multi-picklist data.
- Set level=1 to use multiple-entry contact list columns for multi-contact data; multi-picklist data is returned in text/number columns.
- Set level=2 to use multiple-entry contact list columns for multi-contact data and use multiple-entry picklist columns for multi-picklist data.

## Response 200 fields (application/json):

  - `sheetId` (number)
    Sheet identifier.

  - `accessLevel` (string)
    Sheet access level.
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `version` (number)
    Sheet version number; it increments every time a sheet is modified.

  - `id` (number)
    Row ID.

  - `siblingId` (number)
    Identifies the row immediately above this row, if one exists.

If you use this property as the only location specifier in a write operation, this row is placed immediately below the siblingId row. If you include this property and an above property in a write operation, this row is placed immediately above the siblingId row. 

Note: In add/update row operations, siblingId can't be used with parentId.

  - `parentId` (number)
    Identifies a row that is the hierarchical parent of this row, if one exists.

If you use this property as the only location specifier in a write operation, this row becomes the child row immediately below the parentId row. If you include this property and a toBottom property in a write operation, this row becomes the last child below the parentId row.

Note: In add/update row operations, siblingId can't be used with parentId.

  - `attachments` (array)
    Attachments on row. Only returned if the include query string parameter contains attachments.

  - `attachments.id` (number)
    Attachment ID.

  - `attachments.parentId` (number)
    The ID of the parent.

  - `attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `attachments.createdAt` (any)

  - `attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `attachments.name` (string)
    Attachment name.

  - `attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `attachments.url` (string)
    Attachment temporary URL (files only).

  - `attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `cells` (array)
    Cells belonging to the row.

  - `cells.columnId` (number)
    The ID of the column that the cell is located in.

  - `cells.columnType` (string)
    Only returned if the include query string parameter contains columnType.

  - `cells.conditionalFormat` (string)
    The format descriptor describing this cell's conditional format. Only returned if the include query string parameter contains format and this cell has a conditional format applied.

Refer to [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting), for format descriptor details.

  - `cells.displayValue` (string)
    Visual representation of cell contents, as presented to the user in the UI.

  - `cells.format` (string)
    The format descriptor. Only returned if the include query string parameter contains format and this cell has a non-default format applied.

Refer to [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting), for format descriptor details.

  - `cells.formula` (string)
    The formula for a cell, if set, for instance =COUNTM([Assigned To]3). 

Note that calculation errors or problems with a formula do not cause the API call to return an error code. Instead, the response contains the same value as in the UI, such as cell.value = "#CIRCULAR REFERENCE".

  - `cells.hyperlink` (object)

  - `cells.hyperlink.reportId` (number)
    If non-null, this hyperlink is a link to the report with this ID.

  - `cells.hyperlink.sheetId` (number)
    If non-null, this hyperlink is a link to the sheet with this ID.

  - `cells.hyperlink.sightId` (number)
    If non-null, this hyperlink is a link to the dashboard with this ID.

  - `cells.hyperlink.url` (string)
    When the hyperlink is a URL link, this property contains the URL value.

When the hyperlink is a dashboard/report/sheet link (that is, dashboardId, reportId, or sheetId is non-null), this property contains the permalink to the dashboard, report, or sheet.

  - `cells.image` (object)

  - `cells.image.altText` (string)
    Alternate text for the image.

  - `cells.image.height` (number)
    Original height (in pixels) of the uploaded image.

  - `cells.image.id` (string)
    Image ID.

  - `cells.image.width` (number)
    Original width (in pixels) of the uploaded image.

  - `cells.linkInFromCell` (object)

  - `cells.linkInFromCell.columnId` (number)
    Column ID of the linked cell.

  - `cells.linkInFromCell.rowId` (number)
    Row ID of the linked cell.

  - `cells.linkInFromCell.sheetId` (number)
    Sheet ID of the sheet that the linked cell belongs to.

  - `cells.linkInFromCell.sheetName` (string)
    Sheet name of the linked cell.

  - `cells.linkInFromCell.status` (string)
    * BLOCKED One of several other values indicating unusual error conditions.
* BROKEN The row or sheet linked to was deleted.
* CIRCULAR One of several other values indicating unusual error conditions.
* DISABLED One of several other values indicating unusual error conditions.
* INACCESSIBLE The sheet linked to cannot be viewed by this user.
* INVALID One of several other values indicating unusual error conditions.
* NOT_SHARED One of several other values indicating unusual error conditions.
* OK The link is in a good state.
    Enum: "BLOCKED", "BROKEN", "CIRCULAR", "DISABLED", "INACCESSIBLE", "INVALID", "NOT_SHARED", "OK"

  - `cells.linksOutToCells` (array)

  - `cells.objectValue` (any) — one of:
    - Abstract datetime object value:
      - `objectType` (string)
        Enum: "ABSTRACT_DATETIME"
      - `value` (string)
        Datetime, in the date-time format defined by RFC 3339, section 5.6
    - Contact object value:
      - `objectType` (string)
        Enum: "CONTACT"
      - `email` (string)
        Email address of the Contact
        Example: "john.doe@acme.com"
      - `name` (string)
        Name of the Contact
        Example: "John Doe"
      - `imageId` (string)
        ID of an image associated with the Contact
        Example: "1234!_qwer!_5667zxcvQWER!_ASDF"
      - `emailId` (string)
        ID of the email address
        Example: "23456789"
      - `userId` (string)
        User ID of the contact
        Example: "12345678"
      - `lookUpName` (boolean)
        Whether or not to look up the contact's name based on their email address.
        Example: true
    - Date object value:
      - `objectType` (string)
        Enum: "DATE"
      - `value` (string)
        Date in the full-date format defined by RFC 3339, section 5.6
    - Datetime object value:
      - `objectType` (string)
        Enum: "DATETIME"
      - `value` (string)
        Datetime, in the date-time format defined by RFC 3339, section 5.6
    - Duration object value:
      - `objectType` (string)
        Enum: "DURATION"
      - `days` (number)
        Number of days
    - Multi-contact object value:
      - `objectType` (string)
        Enum: "MULTI_CONTACT"
      - `value` (array)
        List of Contacts
      - `value.objectType` (string)
        Enum: same as `objectType` in "Contact object value" (1 values)
      - `value.email` (string)
        Email address of the Contact
        Example: "john.doe@acme.com"
      - `value.name` (string)
        Name of the Contact
        Example: "John Doe"
      - `value.imageId` (string)
        ID of an image associated with the Contact
        Example: "1234!_qwer!_5667zxcvQWER!_ASDF"
      - `value.emailId` (string)
        ID of the email address
        Example: "23456789"
      - `value.userId` (string)
        User ID of the contact
        Example: "12345678"
      - `value.lookUpName` (boolean)
        Whether or not to look up the contact's name based on their email address.
        Example: true
    - Multi-picklist object value:
      - `objectType` (string)
        Enum: "MULTI_PICKLIST"
      - `values` (array)
        List of strings to choose from
    - Predecessor list object value:
      - `objectType` (string)
        Enum: "PREDECESSOR_LIST"
      - `predecessors` (array)
        List of references to rows on which the current row depends
        Example: [{"rowId":1234567890123456,"rowNumber":2,"type":"FS","inCriticalPath":true}]
      - `predecessors.rowId` (number)
        The ID of the predecessor row.
        Example: 1234567890123456
      - `predecessors.type` (string)
        Type of the predecessor:
 * FF (Finish-to-Finish) - finish at the same time the predecessor finishes.
 * FS (Finish-to-Start) - start after the predecessor finishes.
 * SF (Start-to-Finish) - finish before the predecessor starts.
 * SS (Start-to-Start) - start at the same time the predecessor starts.
        Enum: "FF", "FS", "SF", "SS"
      - `predecessors.inCriticalPath` (boolean)
        True if this predecessor is in the critical path.
        Example: true
      - `predecessors.invalid` (boolean)
        True if the row referenced by rowId is not a valid row in this sheet, or there is a circular reference (displayed in the Smartsheet app as "#REF") Omitted if false.
      - `predecessors.lag` (object)
        In a project sheet, represents a value in a duration cell, or a lag value of a predecessor.
      - `predecessors.lag.days` (number)
        The number of days for this duration.
      - `predecessors.lag.elapsed` (boolean)
        If true, indicates this duration represents elapsed time, which ignores non-working time.
      - `predecessors.lag.hours` (number)
        The number of hours for this duration.
      - `predecessors.lag.milliseconds` (number)
        The number of milliseconds for this duration.
      - `predecessors.lag.minutes` (number)
        The number of minutes for this duration.
      - `predecessors.lag.negative` (boolean)
        When used as a predecessor's lag value, indicates whether the lag is negative (if true), or positive (false). The individual duration values themselves (for example, days, hours, or minutes) is always positive.
      - `predecessors.lag.objectType` (string)
        Enum: same as `objectType` in "Duration object value" (1 values)
      - `predecessors.lag.seconds` (number)
        The number of seconds for this duration.
      - `predecessors.lag.weeks` (number)
        The number of weeks for this duration.
      - `predecessors.rowNumber` (number)
        The row number of the predecessor row. Omitted if invalid is true.
        Example: 2

  - `cells.value` (any)
    A string, number, or a Boolean value -- depending on the cell type and the data in the cell. Cell values larger than 4000 characters are silently truncated. An empty cell returns no value.

  - `columns` (array) — one of:
    Columns of row. Only returned if the include query string parameter contains columns.
    - Text/number column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: =[Column A]@row + [Column B]@row
      - `primary` (boolean)
        If set to true, the column is the sheet's Primary Column. This property is returned only if the property is set to true.
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.
        Enum: "GANTT_DISPLAY_LABEL"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "TEXT_NUMBER"
      - `validation` (boolean, required)
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: 0
    - Auto number column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `autoNumberFormat` (object, required)
        Specifies how to format values for an auto-generated numbers column.
        Example: {"fill":"","prefix":"","startingNumber":1,"suffix":""}
      - `autoNumberFormat.fill` (string)
        Indicates zero-padding. It must be between 0 and 10 "0" (zero) characters.
      - `autoNumberFormat.prefix` (string)
        The prefix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
      - `autoNumberFormat.startingNumber` (number)
        The starting number for the auto-ID.
        Example: 1
      - `autoNumberFormat.suffix` (string)
        The suffix. Can include these date tokens:
  * {DD}
  * {MM}
  * {YY}
  * {YYYY}
      - `systemColumnType` (string, required)
        If this property is set, the column contains auto-generated numbers. Its [Auto-number format object](/api/smartsheet/openapi/schemas/autonumberformat) describes the mask used to generate column values.
        Enum: "AUTO_NUMBER"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Checkbox column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: "=ISODD([ID]@row)"
      - `symbol` (string)
        A checkbox column can use box (default), flag, or star symbols. See [Symbol Columns](/api/smartsheet/openapi/columns).

If the box symbol is used, the symbol property is absent.
        Enum: "FLAG", "STAR"
      - `tags` (array)
        If present, true cell values indicate completed tasks. This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
        Enum: "CARD_DONE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "CHECKBOX"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Contact list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `contactOptions` (array)
        Array of ContactOption objects to specify a pre-defined list of values for the column.
        Example: [{"email":"jane.doe@smartsheet.com","name":"Jane Doe"},{"email":"john.doe@company.com","name":"John Doe"}]
      - `contactOptions.email` (string)
        A parsable email address.
      - `contactOptions.name` (string)
        Can be a user's name, display name, or free text.
      - `formula` (string)
        The formula for the column, if set.

For example: =IF(Department@row = "Engineering", "jane.doe@company.com", IF(Department@row = "Marketing", "john.smith@company.com", "admin@company.com"))
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "CONTACT_LIST"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Created by column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        The contact represents the user who created the row.
        Enum: "CREATED_BY"
      - `type` (string, required)
        Enum: same as `type` in "Contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Created date column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        The system row creation datetime type.
        Enum: "CREATED_DATE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `objectType` in "Datetime object value" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Date column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: =TODAY(-1)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `objectType` in "Date object value" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Abstract datetime column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        The formula for the column, if set.

For example: =TODAY(-1)
      - `tags` (array)
        This property is only present for dependency-enabled project sheets. It indicates what the date represents in terms of the dependency-enabled project.
        Enum: "GANTT_START_DATE", "GANTT_END_DATE", "BASELINE_START_DATE", "BASELINE_END_DATE", "CALENDAR_START_DATE", "CALENDAR_END_DATE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `objectType` in "Abstract datetime object value" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Dropdown list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        A formula that returns a string value that matches one of the symbol options exactly (for example, "Red", "Yellow", "Green").

For example: =[Literal Rating]@row
      - `options` (array, required)
        An array of the options available to use in the column.
        Example: ["Option 1","Option 2","Option n"]
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "PICKLIST"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Duration column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        This property is only present in dependency-enabled project sheets. It indicates what the duration represents in terms of the dependency-enabled project.
        Enum: "GANTT_DURATION", "BASELINE_VARIANCE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `objectType` in "Duration object value" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Modified by column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        If specified, the contact represents the user who created the row or last modified it.
        Enum: "MODIFIED_BY"
      - `type` (string, required)
        Enum: same as `type` in "Contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Modified date column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `systemColumnType` (string, required)
        The system row modification datetime type.
        Enum: "MODIFIED_DATE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `objectType` in "Datetime object value" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Multi-contact list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `contactOptions` (array)
        Array of ContactOption objects to specify a pre-defined list of values for the column.
        Example: [{"email":"jane.doe@smartsheet.com","name":"Jane Doe"},{"email":"john.doe@company.com","name":"John Doe"}]
      - `contactOptions.email` (string)
        A parsable email address.
      - `contactOptions.name` (string)
        Can be a user's name, display name, or free text.
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "MULTI_CONTACT_LIST"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: 1
    - Multi-dropdown list column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        A formula that returns a string value that matches a combination of the symbol options exactly, and include new line separators between multiple values.

For example: =JOIN(Range1@row:Range3@row, CHAR(10))

Important: To match multiple symbol option values, the return string must use a new line separator (that is, CHAR(10)) between symbol option values.
      - `options` (array, required)
        An array of the options available to use in the column. A cell value in this column can contain any number of these options.
        Example: ["Option 1","Option 2","Option n"]
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `objectType` in "Multi-picklist object value" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: 2
    - Percent complete column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
        Enum: "GANTT_PERCENT_COMPLETE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Predecessor column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        Enum: "GANTT_PREDECESSOR"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: "PREDECESSOR"
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Assigned resource contact column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `options` (array, required)
        An array of contacts available to use in the column. A cell value in this column can contain one contact.
        Example: ["jane.doe@smartsheet.com","firstname.lastname@smartsheet.com"]
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.
        Enum: "GANTT_ASSIGNED_RESOURCE"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Contact list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Assigned resource text column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `primary` (boolean)
        Returned only if the column is the Primary Column (value = true).
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.
        Enum: same as `tags` in "Assigned resource contact column" (1 values)
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Percent allocation column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `tags` (array)
        This property is only present for dependency-enabled project sheets.

For details on Gantt view, refer to Create and work with a Gantt view.

For details on workload tracking and Resource Management, see Workload tracking in Smartsheet.
        Enum: "GANTT_ALLOCATION"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Text/number column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
        Example: true
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)
    - Symbol column:
      - `description` (string)
        Column description.
      - `format` (string)
        The format descriptor (see [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting)).

Note: It's only returned if the include query string parameter contains format and this column has a non-default format applied to it.
      - `hidden` (boolean)
        If set to true, the column is hidden.
      - `id` (number, required)
        The column's unique identifier.
        Example: 4567890123
      - `index` (number, required)
        The column's position in the sheet. Indexes start at 0.
      - `locked` (boolean)
        If set to true, the column is locked. Locking a column requires owner or admin permissions on the sheet.
      - `lockedForUser` (boolean)
        Indicates whether the column is locked for the requesting user.
      - `title` (string, required)
        Column title.
      - `width` (number, required)
        The column's display width in pixels.
        Example: 150
      - `formula` (string)
        A formula that returns a string value that matches one of the symbol options exactly (for example, "Red", "Yellow", "Green").

For example: =[Literal Rating]@row
      - `options` (array, required)
        An array of the options available to use in the column.

Note: All applicable options values are set automatically when you specify the symbol.

Important: You can't specify or update options at the same time you're specifying symbol. So leave it unspecified when you're creating a column or updating its symbol. If needed, you can update options in a separate call.
        Example: []
      - `symbol` (string)
        Specifies any type of symbol the column uses. For details and examples, see [Symbol Columns](/api/smartsheet/openapi/columns).
        Enum: "FLAG", "STAR", "HARVEY_BALLS", "PRIORITY", "RYG", "PRIORITY_HML", "DECISION_SYMBOLS", "DECISION_SHAPES", "VCR", "RYGB", "RYGG", "WEATHER", "PROGRESS", "ARROWS_3_WAY", "ARROWS_4_WAY", "ARROWS_5_WAY", "DIRECTIONS_3_WAY", "DIRECTIONS_4_WAY", "SKI", "SIGNAL", "STAR_RATING", "HEARTS", "MONEY", "EFFORT", "PAIN"
      - `type` (string, required)
        The column's type. See [Column Types](/api/smartsheet/openapi/columns).
        Enum: same as `type` in "Dropdown list column" (1 values)
      - `validation` (boolean, required)
        If true, validation is enabled for the column values.
      - `version` (number, required)
        The column's compatibility level.

For details, refer to [Complex data types and compatibility](/api/smartsheet/guides/advanced-topics/complex-column-types-and-compatibility).
        Enum: same as `version` in "Text/number column" (1 values)

  - `conditionalFormat` (string)
    Describes this row's conditional format. Only returned if the include query string parameter contains format and this row has a conditional format applied.
    Example: ",,1,1,,,,,,,,,,,,,"

  - `createdAt` (any)

  - `createdBy` (object)
    User object containing name and email of the creator of this row.

  - `createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `createdBy.name` (string)
    Example: "Jane Doe"

  - `discussions` (array)
    Discussions on the row. Only returned if the include query string parameter contains discussions.

  - `discussions.accessLevel` (string)
    Enum: same as `accessLevel` (6 values)

  - `discussions.id` (number)
    Discussion ID.

  - `discussions.comments` (array)
    Array of comments in discussion. Only returned if the include query string parameter contains comments.

  - `discussions.comments.attachments` (array)
    Array of attachments on comments.

  - `discussions.comments.createdAt` (any)

  - `discussions.comments.createdBy` (object)
    User object containing name and email of the creator of this comment.

  - `discussions.comments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `discussions.comments.createdBy.name` (string)
    Example: "Jane Doe"

  - `discussions.comments.discussionId` (number)
    Discussion ID of discussion that contains comment.

  - `discussions.comments.id` (number)
    Comment ID.

  - `discussions.comments.modifiedAt` (any)

  - `discussions.comments.text` (string)
    Comment body.

  - `discussions.commentAttachments` (array)
    Array of attachments on discussion comments. Only returned if the include query string parameter contains attachments.

  - `discussions.commentCount` (number)
    Number of comments in the discussion.

  - `discussions.createdBy` (object)
    User object containing name and email of the user who created the discussion.

  - `discussions.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `discussions.createdBy.name` (string)
    Example: "Jane Doe"

  - `discussions.lastCommentedAt` (any)

  - `discussions.lastCommentedUser` (object)
    User object containing name and email of the user who last commented on the discussion.

  - `discussions.lastCommentedUser.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `discussions.lastCommentedUser.name` (string)
    Example: "Jane Doe"

  - `discussions.parentId` (number)
    The ID of the associated row or sheet.

  - `discussions.parentType` (string)
    Type of parent object.
    Enum: "ROW", "SHEET"

  - `discussions.readOnly` (boolean)
    Indicates whether the user can modify the discussion.

  - `discussions.title` (string)
    Title automatically created by duplicating the first 100 characters of top-level comment.

  - `proof` (object)
    Object containing zero or more media items, including images, videos, and documents, for review, editing, or approval.

  - `proof.id` (number)
    Proof ID of the proof version.

  - `proof.originalId` (number)
    Proof ID of the original proof version.

  - `proof.name` (string)
    Proof name. This is the same as primary column value. If the primary column value is empty, name is empty.

  - `proof.type` (string)
    File type for the proof version.
    Enum: "DOCUMENT", "IMAGE", "MIXED", "NONE", "VIDEO"

  - `proof.documentType` (string)
    If type=DOCUMENT, then this indicates the type of file, such as PDF.

  - `proof.proofRequestUrl` (string)
    URL to review a proofing request.

  - `proof.version` (number)
    The version number of the proof.

  - `proof.lastUpdatedAt` (any)

  - `proof.lastUpdatedBy` (object)
    User object containing name and email of the user who last updated the proof.

  - `proof.lastUpdatedBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `proof.lastUpdatedBy.name` (string)
    Example: "Jane Doe"

  - `proof.isCompleted` (boolean)
    Indicates whether the proof is completed.

  - `proof.attachments` (array)
    Array of Attachment objects. Only returned if the include query string parameter contains attachments.

  - `proof.discussions` (array)
    Array of Discussion objects. Only returned if the include query string parameter contains discussions.

  - `filteredOut` (boolean)
    Indicates if the row is filtered out by a column filter. Only returned if the include query string parameter contains filters.

  - `format` (string)
    Format descriptor. Only returned if the include query string parameter contains format and this row has a non-default format applied.

Refer to [Cell formatting](/api/smartsheet/guides/advanced-topics/cell-formatting), for format descriptor details.
    Example: ",,1,1,,,,,,,,,,,,,"

  - `inCriticalPath` (boolean)
    Only returned, with a value of true, if the sheet is a project sheet with dependencies enabled and this row is in the critical path.

  - `locked` (boolean)
    Indicates whether the row is locked.

  - `lockedForUser` (boolean)
    Indicates whether the row is locked for the requesting user.

  - `modifiedAt` (any)

  - `modifiedBy` (object)
    User object containing name and email of the last person to modify this row.

  - `modifiedBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `modifiedBy.name` (string)
    Example: "Jane Doe"

  - `permaLink` (string)
    URL that represents a direct link to the row in Smartsheet. Only returned if the include query string parameter contains rowPermalink.

  - `rowNumber` (number)
    Row number within the sheet.


